package com.qmth.boot.core.retrofit.interfaces;

/**
 * Retrofit客户端配置自定义扩展
 */
public interface CustomizeRetrofitConfiguration {

    class VoidRetrofitConfiguration implements CustomizeRetrofitConfiguration {

    }

    /**
     * 访问地址前缀
     *
     * @return
     */
    default String getBaseUrl() {
        return null;
    }

    /**
     * 启用签名鉴权
     *
     * @return
     */
    default SignatureProvider getSignature() {
        return null;
    }

}
